This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 499552 - iasl: Fail to compiling it after disassemble AML file
iasl: Fail to compiling it after disassemble AML file
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: iasl (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
:
Depends On:
Blocks: 499772
  Show dependency treegraph
 
Reported: 2009-05-07 02:59 EDT by Nan Zhang
Modified: 2013-01-09 16:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 499772 (view as bug list)
Environment:
Last Closed: 2009-05-20 15:41:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nan Zhang 2009-05-07 02:59:22 EDT
Description of problem:
Getting AML file from current system, and using "-dc" option to compiling is failed after disassemble AML file. 

Version-Release number of selected component (if applicable):
rhel5u3: 2.6.18-128.el5
iasl-20061109-5.el5

How reproducible:
Always

Steps to Reproduce:
1. # cat /proc/acpi/dsdt > dsdt.aml
2. # iasl -dc dsdt.aml
  
Actual results:
Compiling "dsdt.dsl"
dsdt.dsl 502: Method (\_WAK, 1, NotSerialized)
Warning 1079 - ^ Reserved method must return a value (_WAK) dsdt.dsl 3449: Name (_T_0, 0x00)
Error 4081 - Use of reserved word ^ (_T_0) dsdt.dsl 3630: Name (_T_0, 0x00)
Error 4081 - Use of reserved word ^ (_T_0) dsdt.dsl 3824: Name (_T_1, 0x00)
Error 4081 - Use of reserved word ^ (_T_1) ASL Input: dsdt.dsl - 7576 lines, 257932 bytes, 2868 keywords
Compilation complete. 3 Errors, 1 Warnings, 0 Remarks, 875 Optimizations 

Expected results:
Should be no errors. Attached file for reference.

Additional info:
Also cannot using "-dc" option to obtain DSDT from current system if no input file.
Comment 1 Dor Laor 2009-05-20 15:41:14 EDT
Low priority to fix

Note You need to log in before you can comment on or make changes to this bug.